Subject: FVWM: Re: FvwmIconMan: "DeIconifyToScreen"?

From: [email-masked] (Nadim Saeed)
Date: Fri, 28 Feb 1997 10:19:25 -0800 (PST)

Sam Kamens ([email-masked]) wrote:
> 
> Hi,
> 
> I'm a former vtwm user, and I'm now using fvwm 2.0.45, with 
> FvwmPager and 
> FvwmIconMan.  One of the nice features of vtwm (or at least the 
> version I was using) was that if I deiconified something from the 
> Icon Manager, it would show up on whatever my current screen was, 
> instead of in the screen that it was on originally.  This behavior 
> was configurable with the "DeIconifyToScreen" parameter.  I often used
> this to move a window from another screen to my current one.
> 
> Is there a similar parameter in FVWM or FvwmIconMan so that when I 
> click on the icon in the Icon Manager the window shows up in the 
> current page?
> 
> Thanks,
> 
> Sam Kamens
> 

I went through the same search and finally found something that works (I
think its a bug, but I sure would love NOT to see it fixed; I mean that :-)

I use FvwmWinList and have configured mouse 3 to deiconify and move the window
which in turn gives focus to it on my current desk.

    *FvwmWinListAction Click3 Iconify -1, move

BTW: In fvwm2.0.43 you could actually just Focus on the window without
     moving it which would relocate the window to your current desk, but
     it seems as though that "feature" does not work on 2.0.45

    *FvwmWinListAction Click3 Iconify -1, focus

Regardless, I agree that it would be really useful to have a
"DeIconifyToCurrentDesk" switch that could be incorporated to *Action lists.

Hope that helps.

 - Nadim
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].